echo off

echo "Integrated BMC and Intel Remote Management Module 3 firmware update to rev 00.60"
.\WinPEUtils_x86\FWPIAUPD\Devicesetup.exe -v remove *IPI0001
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\fwpiaupd -u -bin -o -pia -ni BMC_0060.ima

echo "Update BIOS to R0061"
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\flashud.inf *int0800
.\WinPEUtils_x86\IFlash32\DeviceSetup install .\WinPEUtils_x86\IFlash32\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\IFlash32\IFlash32 R0061.cap /u /ni

echo "ME Firmware Update rev: 1.12"
.\WinPEUtils_x86\FWPIAUPD\fwpiaupd -u -o -b -address=2c -bin -ni SPS_01_01_02_007_ME_FW_DIB.bin

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe updateonly .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\IBSMUtil.inf *IntelUtilDeV
.\WinPEUtils_x86\FRUSDR\frusdr -cfg MASTER.CFG

echo "Updates completed. Please reboot using the front panel button."

echo on
